Subject: Re: [PATCH 01/11] staging: r8188eu: Remove pointless thread_exit macro

From: Greg KH <[email-masked]>
Date: Fri, 20 Dec 2013 12:34:56 -0800

On Fri, Dec 20, 2013 at 02:30:39PM -0600, Larry Finger wrote:
> On 12/20/2013 01:18 PM, Greg KH wrote:
> > On Fri, Dec 20, 2013 at 11:22:35AM -0600, Larry Finger wrote:
> >> On 12/20/2013 10:58 AM, Greg KH wrote:
> >>> With this series applied, I get a ton of "unused variable" warnings, can
> >>> you please fix them up now too?
> >>
> >> Strange, but I don't get any. My compiler is gcc (SUSE Linux) 4.8.1 20130909
> >> [gcc-4_8-branch revision 202388] from openSUSE 13.1. What version are you using?
> >>
> >
> > I'm using an older version:
> > 	$ gcc --version
> > 	gcc (Gentoo 4.7.3-r1 p1.3, pie-0.5.5) 4.7.3
> >
> > Odd.  I'll move up to 4.8 and try that...
> >
> > Nope, same problem, here's one example line:
> > 	drivers/staging/rtl8188eu/core/rtw_ap.c: In function ‘rtw_ap_inform_ch_switch’:
> > 	drivers/staging/rtl8188eu/core/rtw_ap.c:1773:16: warning: unused variable ‘irqL’ [-Wunused-variable]
> > 	  unsigned long irqL;
> >
> > This is x86-64, could that be an issue?
> 
> Mine is x86_64 as well.
> 
> I see the extra lines for "irqL" that gcc 4.7 finds but 4.8 misses. You should 
> probably stay at 4.7 to catch the things that 4.8 misses.

Nah, I just switched to 4.8 and rebuilt all of the different kernel
trees on this box with it, so I'll stay there for now.

thanks,

greg k-h
_______________________________________________
devel mailing list
[email-masked]
http://driverdev.linuxdriverproject.org/mailman/listinfo/driverdev-devel